<template>
    <div class="enterprise-panel">
        <div class="enterprise-function" @click="showWarnDialog()">
            <div :class='["iconBtn",warnVisible ? "active" : ""]'><span><img src="@/assets/images/map-pages/icon/map/warn.png" alt="" width="26px" style="display: block;margin: auto"><span class="icon-name">预报警</span></span></div>

        </div>
        <div class="enterprise-function" @click="showStatisDialog()">
            <div :class='["iconBtn",companyVisible ? "active" : ""]'><span><img src="@/assets/images/map-pages/icon/map/company.png" alt="" width="26px" style="display: block;margin: auto"><span class="icon-name">指标</span></span></div>
        </div>
        <Dialog ref="warnDialog" title="企业预警报警分类统计">
            <warn></warn>
        </Dialog>
        <Dialog ref="indexStatisticsDialog" title="企业指标分类统计">
            <index-statistics></index-statistics>
        </Dialog>
    </div>
</template>

<script>
import Dialog from '../../views/popup/Dialog'
import Warn from './components/Warn'
import IndexStatistics from './components/IndexStatistics'
export default {
  name: 'Enterprise',
  components: {
    Dialog,
    Warn,
    IndexStatistics
  },
  data () {
    return {
      comp: Warn,
      warnVisible: false,
      companyVisible: false
    }
  },
  methods: {
    // 图标 控制内容的展示与隐藏
    show () {
      this.legendControl = !this.legendControl
    },
    showWarnDialog () {
      this.$refs.warnDialog.show()
      this.warnVisible = true
    },
    showStatisDialog () {
      this.$refs.indexStatisticsDialog.show()
      this.companyVisible = true
    }
  }
}
</script>

<style lang="less" scoped>
.enterprise-panel{
    position: absolute;
    right: 5px;
    top:5px;
    z-index: 9999;

    .enterprise-function{
        width: 50px;
        float: left;
        cursor: pointer;
    }
    .iconBtn {
        width:45px;
        text-align: center;
        background: rgba(0, 16, 30, 0.5);
        cursor: pointer;
        color: #00fff6;
        border: 0.00521rem solid #00fff6;
        box-shadow: 0 0 0.03rem #00fff6;
    }
    .active {
        // border: 0.00521rem solid #fff700;
        // box-shadow: 0 0 0.03rem #fff700;
    }
}
</style>
